-- Deploy camper:payment_status_i18n to pg
-- requires: roles
-- requires: schema_camper
-- requires: payment_status
-- requires: language

begin;

set search_path to camper, public;

create table payment_status_i18n (
	payment_status text not null references payment_status,
	lang_tag text not null references language,
	name text not null,
	primary key (payment_status, lang_tag)
);

grant select on table payment_status_i18n to employee;
grant select on table payment_status_i18n to admin;

commit;
